ApiHdfsFailoverArguments (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiHdfsFailoverArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHdfsFailoverArguments

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiHdfsFailoverArguments
      extends Object

  Arguments used when enabling HDFS automatic failover.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHdfsFailoverArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHdfsFailoverArguments` | `activeFCName(String activeFCName)`
    `boolean` | `equals(Object o)`
    `String` | `getActiveFCName()` Name of the failover controller to create for the active NameNode.
    `String` | `getNameservice()` Nameservice for which to enable automatic failover.
    `String` | `getStandByFCName()` Name of the failover controller to create for the stand-by NameNode.
    `ApiServiceRef` | `getZooKeeperService()` The ZooKeeper service to use.
    `int` | `hashCode()`
    `ApiHdfsFailoverArguments` | `nameservice(String nameservice)`
    `void` | `setActiveFCName(String activeFCName)`
    `void` | `setNameservice(String nameservice)`
    `void` | `setStandByFCName(String standByFCName)`
    `void` | `setZooKeeperService(ApiServiceRef zooKeeperService)`
    `ApiHdfsFailoverArguments` | `standByFCName(String standByFCName)`
    `String` | `toString()`
    `ApiHdfsFailoverArguments` | `zooKeeperService(ApiServiceRef zooKeeperService)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHdfsFailoverArguments

          public ApiHdfsFailoverArguments()

  - ### Method Detail

    - #### nameservice

          public ApiHdfsFailoverArguments nameservice(String nameservice)

    - #### getNameservice

          public String getNameservice()

      Nameservice for which to enable automatic failover.
      Returns:
        nameservice

    - #### setNameservice

          public void setNameservice(String nameservice)

    - #### zooKeeperService

          public ApiHdfsFailoverArguments zooKeeperService(ApiServiceRef zooKeeperService)

    - #### getZooKeeperService

          public ApiServiceRef getZooKeeperService()

      The ZooKeeper service to use.
      Returns:
        zooKeeperService

    - #### setZooKeeperService

          public void setZooKeeperService(ApiServiceRef zooKeeperService)

    - #### activeFCName

          public ApiHdfsFailoverArguments activeFCName(String activeFCName)

    - #### getActiveFCName

          public String getActiveFCName()

      Name of the failover controller to create for the active NameNode.
      Returns:
        activeFCName

    - #### setActiveFCName

          public void setActiveFCName(String activeFCName)

    - #### standByFCName

          public ApiHdfsFailoverArguments standByFCName(String standByFCName)

    - #### getStandByFCName

          public String getStandByFCName()

      Name of the failover controller to create for the stand-by NameNode.
      Returns:
        standByFCName

    - #### setStandByFCName

          public void setStandByFCName(String standByFCName)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.